%define oname ipaddr

Name:           python-%{oname}
Version:        2.1.11
Release:        %mkrel 1
Summary:        A library for working with IP addresses
License:        Apache License
Group:          Development/Python
Url:            http://code.google.com/p/ipaddr-py/
Source0:        https://pypi.python.org/packages/source/i/ipaddr/%{oname}-%{version}.tar.gz
BuildRequires:  pkgconfig(python2)
BuildArch:      noarch

%description
ipaddr is a library for working with IP addresses, both IPv4 and IPv6.
It was developed by Google for internal use, and is now open source.

%prep
%setup -q -n %{oname}-%{version}

%build
%py2_build

%install
%py2_install

%files
%doc COPYING README RELEASENOTES
%{python2_sitelib}/*


%changelog
* Sat Mar 26 2016 daviddavid <daviddavid> 2.1.11-1.mga6
+ Revision: 995657
- new version: 2.1.11
- use new python macros

* Mon Feb 08 2016 umeabot <umeabot> 2.1.10-8.mga6
+ Revision: 942534
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.1.10-7.mga5
+ Revision: 744494
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.1.10-6.mga5
+ Revision: 728748
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.1.10-5.mga5
+ Revision: 688088
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 2.1.10-3.mga4
+ Revision: 543453
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 2.1.10-2.mga4
+ Revision: 498736
- Rebuild to add different pythonegg provides for python 2 and 3

* Tue Oct 01 2013 nmartin <nmartin> 2.1.10-1.mga4
+ Revision: 490156
- Include .pyc and .pyo in file section
- update to new version 2.1.10

* Sun Jan 13 2013 umeabot <umeabot> 2.1.9-4.mga3
+ Revision: 378993
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 03 2011 shlomif <shlomif> 2.1.9-3.mga2
+ Revision: 162433
- imported package python-ipaddr


* Thu Nov  3 2011 Michael Brown <mbrown@fensystems.co.uk> 2.1.9-3fs1
- Dummy changelog entry

